D4Science D4Science Don't have a D4Science account? Create one Could not find what you are looking for? Contact us.

ACLManager Resource

GET /items/{id}/acls

returns the AccessType for all the users in a shared folder

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json ACLList (JSON)

Example

Request
GET /items/{id}/acls
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
{
  "acls" : [ {
    "accessTypes" : [ "ADMINISTRATOR", "WRITE_OWNER" ],
    "principal" : "..."
  }, {
    "accessTypes" : [ "WRITE_OWNER", "WRITE_ALL" ],
    "principal" : "..."
  } ]
}
                
              

PUT /items/{id}/acls

Set a new AccessType for a user in a shared folder or VRE folder

Request Parameters
name type description constraints
accessType formdata accessType "ADMINISTRATOR" or "READ_ONLY" or "WRITE_ALL" or "WRITE_OWNER"
user formdata  
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources  
id path  
Request Body
media type data type
multipart/form-data (custom)

Example

Request
PUT /items/{id}/acls
Content-Type: multipart/form-data
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content

              

GET /items/{id}/acls/write

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
Response Body
media type data type description
application/json boolean (JSON)

Example

Request
GET /items/{id}/acls/write
Content-Type: */*
Accept: application/json
Authorization: ...

                
...
                
              
Response
HTTP/1.1 200 OK
Content-Type: application/json

                
...
                
              

DELETE /items/{id}/acls/{user}

remove right for a user only on Shared folder

Request Parameters
name type description
Authorization header Bearer token, see https://dev.d4science.org/how-to-access-resources
id path
user path

Example

Request
DELETE /items/{id}/acls/{user}
Content-Type: text/plain
Authorization: ...

                
...
                
              
Response
HTTP/1.1 204 No Content